package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.TenantAuthConfig.Create(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.TenantAuthConfigServiceCreateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.tenantAuthConfig.create();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/auth-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"bootstrapDomains": [
"<string>"
],
"c1Local": {
"delegatedVerifiers": []
},
"deprecationDeadline": "2023-11-07T05:31:56Z",
"deprecationMessage": "<string>",
"google": {
"hostedDomains": [
"<string>"
]
},
"isDefaultBootstrap": true,
"jumpcloud": {
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"microsoft": {
"tenantIds": [
"<string>"
]
},
"oidc": {
"exactMatchClaims": {},
"issuerId": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>",
"scopes": [
"<string>"
]
},
"okta": {
"domain": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"onelogin": {
"domain": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"pingone": {
"environmentId": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/auth-configs"
payload = {
"displayName": "<string>",
"bootstrapDomains": ["<string>"],
"c1Local": { "delegatedVerifiers": [] },
"deprecationDeadline": "2023-11-07T05:31:56Z",
"deprecationMessage": "<string>",
"google": { "hostedDomains": ["<string>"] },
"isDefaultBootstrap": True,
"jumpcloud": {
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"microsoft": { "tenantIds": ["<string>"] },
"oidc": {
"exactMatchClaims": {},
"issuerId": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>",
"scopes": ["<string>"]
},
"okta": {
"domain": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"onelogin": {
"domain": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"pingone": {
"environmentId": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
bootstrapDomains: ['<string>'],
c1Local: {delegatedVerifiers: []},
deprecationDeadline: '2023-11-07T05:31:56Z',
deprecationMessage: '<string>',
google: {hostedDomains: ['<string>']},
isDefaultBootstrap: true,
jumpcloud: {oidcClientId: '<string>', oidcClientSecret: '<string>'},
microsoft: {tenantIds: ['<string>']},
oidc: {
exactMatchClaims: {},
issuerId: '<string>',
oidcClientId: '<string>',
oidcClientSecret: '<string>',
scopes: ['<string>']
},
okta: {domain: '<string>', oidcClientId: '<string>', oidcClientSecret: '<string>'},
onelogin: {domain: '<string>', oidcClientId: '<string>', oidcClientSecret: '<string>'},
pingone: {
environmentId: '<string>',
oidcClientId: '<string>',
oidcClientSecret: '<string>'
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/auth-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authConfig": {
"bootstrapDomains": [
"<string>"
],
"c1Local": {
"delegatedVerifiers": []
},
"createdAt": "2023-11-07T05:31:56Z",
"deprecationDeadline": "2023-11-07T05:31:56Z",
"deprecationMessage": "<string>",
"displayName": "<string>",
"google": {
"hostedDomains": [
"<string>"
]
},
"id": "<string>",
"isDefaultBootstrap": true,
"jumpcloud": {
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"microsoft": {
"tenantIds": [
"<string>"
]
},
"oidc": {
"exactMatchClaims": {},
"issuerId": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>",
"scopes": [
"<string>"
]
},
"okta": {
"domain": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"onelogin": {
"domain": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"pingone": {
"environmentId": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Create
Create registers a new authentication provider configuration for the tenant.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.TenantAuthConfig.Create(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.TenantAuthConfigServiceCreateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.tenantAuthConfig.create();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The TenantAuthConfigServiceCreateRequest message.
This message contains a oneof named provider_config. Only a single field of the following list may be set at a time:
- microsoft
- okta
- onelogin
- jumpcloud
- pingone
- oidc
- c1Local
The human-readable name for this authentication provider.
Email domains that route unknown users to this authentication provider during login.
The AuthConfigC1Local message.
Show child attributes
Show child attributes
A user-visible message explaining why the provider is deprecated.
The AuthConfigGoogle message.
Show child attributes
Show child attributes
Whether this provider is the default for users whose email domain has no explicit mapping.
The AuthConfigJumpCloud message.
Show child attributes
Show child attributes
The AuthConfigMicrosoft message.
Show child attributes
Show child attributes
The AuthConfigOIDC message.
Show child attributes
Show child attributes
The AuthConfigOkta message.
Show child attributes
Show child attributes
The AuthConfigOneLogin message.
Show child attributes
Show child attributes
The AuthConfigPingOne message.
Show child attributes
Show child attributes
The initial status of the authentication provider.
AUTH_CONFIG_STATUS_UNSPECIFIED, AUTH_CONFIG_STATUS_ACTIVE, AUTH_CONFIG_STATUS_DEPRECATED, AUTH_CONFIG_STATUS_DISABLED Response
Successful response
The TenantAuthConfigServiceCreateResponse message.
The TenantAuthConfig message.
This message contains a oneof named provider_config. Only a single field of the following list may be set at a time:
- microsoft
- okta
- onelogin
- jumpcloud
- pingone
- oidc
- c1Local
Show child attributes
Show child attributes
Was this page helpful?